Summary: Framebuffer utilities for changing video modes.
Name: fbset
Version: 2.0.19981028
Release: 3
Copyright: GPL
Group: System Environment/Base
Source: http://www.cs.kuleuven.ac.be/~geert/bin/fbset-2.0-pre-19981104.tar.gz
Patch: fbset-2.0-pre-19981028.patch
BuildRoot: /var/tmp/%{name}-root
Packager: Andrea Borgia <borgia@students.cs.unibo.it>

%description
fbset is a utility for querying and changing video modes of fbcon consoles.

%prep
%setup -q -n fbset-2.0-pre
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make install PREFIX=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/sbin/fbset
%ifarch sparc sparc64
mkdir -p $RPM_BUILD_ROOT/etc
cp etc/fb.modes.ATI $RPM_BUILD_ROOT/etc/fb.modes
%endif
if [ ! -c $RPM_BUILD_ROOT/dev/fb0 ]; then mknod $RPM_BUILD_ROOT/dev/fb0 c 29 0; fi
if [ ! -c $RPM_BUILD_ROOT/dev/fb1 ]; then mknod $RPM_BUILD_ROOT/dev/fb1 c 29 32; fi
if [ ! -c $RPM_BUILD_ROOT/dev/fb2 ]; then mknod $RPM_BUILD_ROOT/dev/fb2 c 29 64; fi
if [ ! -c $RPM_BUILD_ROOT/dev/fb3 ]; then mknod $RPM_BUILD_ROOT/dev/fb3 c 29 96; fi
if [ ! -c $RPM_BUILD_ROOT/dev/fb4 ]; then mknod $RPM_BUILD_ROOT/dev/fb4 c 29 128; fi
if [ ! -c $RPM_BUILD_ROOT/dev/fb5 ]; then mknod $RPM_BUILD_ROOT/dev/fb5 c 29 160; fi
if [ ! -c $RPM_BUILD_ROOT/dev/fb6 ]; then mknod $RPM_BUILD_ROOT/dev/fb6 c 29 192; fi
if [ ! -c $RPM_BUILD_ROOT/dev/fb7 ]; then mknod $RPM_BUILD_ROOT/dev/fb7 c 29 224; fi
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/dev/*
/usr/sbin/*
/usr/man/man[58]/*
%ifarch sparc sparc64
%config /etc/fb.modes
%endif

%changelog
* Fri Mar  5 1999 Andrea Borgia <borgia@students.cs.unibo.it>
- added dev entries to spec file

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.
- upgrade to 19981104.

* Thu Oct 29 1998 Jakub Jelinek <jj@ultra.linux.cz>
- new package
